Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1009754 - Review Request: perl-Term-RawInput - Replacement for <STDIN> in perl scripts
Summary: Review Request: perl-Term-RawInput - Replacement for <STDIN> in perl scripts
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-09-19 04:34 UTC by Chris
Modified: 2015-08-15 14:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-15 14:01:44 UTC


Attachments (Terms of Use)

Description Chris 2013-09-19 04:34:53 UTC
Spec URL: https://www.dropbox.com/s/zqologv0gy5ksic/perl-Term-RawInput.spec
SRPM URL: https://www.dropbox.com/s/ddkzioplfj4x4no/perl-Term-RawInput-1.15-1.fc18.src.rpm
Description: A simple drop-in replacement for <STDIN> in scripts with the additional ability to capture and return the non-standard keys like 'End', 'Escape', 'Insert', etc.
Fedora Account System Username: cjohnston

Comment 1 Ralf Corsepius 2013-09-19 12:56:09 UTC
Similar issues as with your perl-Term-Menu package.

* Fails to build in mock due to missing BR:s:
Please add: 
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(IO::Handle)

* This package applies ExtUtils::AutoInstall.
As rpms are supposed to use preinstalled perl-dists and not to autoinstall missing dists, using ExtUtils::AutoInstall in rpm-specs is not allowed.

Please add --skipdeps to your "perl Makefile.PL". I am ususually using this in my specs:
...
# --skipdeps causes ExtUtils::AutoInstall not to try auto-installing
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
...

* The License: field needs to be
License:        GPL+ or Artistic

* Unless you intent to support EPEL5,
Group: ...
...
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
...
rm -rf $RPM_BUILD_ROOT
...
%defattr(-,root,root,-)
...

can all be removed.

* Macro usage is inconsistent:
%__perl and %{__perl} are both being used.
Please only use one of these (I recommend using %{__perl})

Comment 2 Parag AN(पराग) 2015-07-22 08:09:07 UTC
I have not see any activity by the submitter using his FAS in datagrepper output.

Chris,
 you still want to continue packaging of this?

Comment 3 Parag AN(पराग) 2015-08-15 12:06:10 UTC
I am going to close this and any other review by this submitter based on https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding


Note You need to log in before you can comment on or make changes to this bug.